#include "MenuTextCancel_Player1Joystick.h"

InputSetting_Joystick* MenuTextCancel_Player1Joystick::GetInputSetting()
{
	return gameFunc->GetInputSetting_Player1Joystick ? gameFunc->GetInputSetting_Player1Joystick() : nullptr;
}

SDL_GameControllerButtonBind* MenuTextCancel_Player1Joystick::GetBind(InputSetting_Joystick* setting)
{
	return &setting->op_cancel;
}

std::weak_ptr<Entity> MenuTextCancel_Player1Joystick::GetPlayer(void* entityRes)
{
	return gameFunc->GetMyChar_Player1(entityRes);
}

std::shared_ptr<Entity> CreateMenuTextCancel_Player1Joystick()
{
	return std::make_shared<MenuTextCancel_Player1Joystick>();
}


